Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class ContactAddressWithUpdateStatusType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalContactAddressType
          be.fgov.ehealth.rn.baselegaldata.v1.ContactAddressWithUpdateStatusType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:22:20+01:00",
               comments="JAXB RI v2.2.11")
    public class ContactAddressWithUpdateStatusType

extends AbstractOptionalContactAddressType
implements Serializable

Java class for ContactAddressWithUpdateStatusType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ContactAddressWithUpdateStatusType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:rn:baselegaldata:v1}AbstractOptionalContactAddressType">
           <attribute name="Status" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}UpdateDatagroupStatusType" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ContactAddressWithUpdateStatusType()`

Method Summary
`UpdateDatagroupStatusType` | `getStatus()` Gets the value of the status property.
`void` | `setStatus(UpdateDatagroupStatusType value)` Sets the value of the status property.

Methods inherited from class be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalContactAddressType
`getAddressRegionalCode, getBoxNumber, getCityCode, getCityNames, getCityRegionalCode, getCountryCode, getCountryIsoCode, getCountryNames, getHouseNumber, getInceptionDate, getPostalCode, getRegionCode, getRegionNames, getStreetCode, getStreetNames, getStreetRegionalCode, getTypeCode, getTypeDescriptions, setAddressRegionalCode, setBoxNumber, setCityCode, setCityRegionalCode, setCountryCode, setCountryIsoCode, setHouseNumber, setInceptionDate, setPostalCode, setRegionCode, setStreetCode, setStreetRegionalCode, setTypeCode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactAddressWithUpdateStatusType

    public ContactAddressWithUpdateStatusType()

Method Detail

### getStatus

    public UpdateDatagroupStatusType getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `UpdateDatagroupStatusType`

### setStatus

    public void setStatus(UpdateDatagroupStatusType value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `UpdateDatagroupStatusType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.